%define upstream_name    CGI-PSGI
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Adapt CGI.pm to the PSGI protocol
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch: noarch

%{?perl_default_filter}

%description
This module is for web application framework developers who currently uses
the CGI manpage to handle query parameters, and would like for the
frameworks to comply with the the PSGI manpage protocol.

Only slight modifications should be required if the framework is already
collecting the body content to print to STDOUT at one place (rather using
the print-as-you-go approach).

On the other hand, if you are an "end user" of CGI.pm and have a CGI script
that you want to run under PSGI web servers, this module might not be what
you want. Take a look at the CGI::Emulate::PSGI manpage instead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.150.0-13.mga9
+ Revision: 1818755
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-12.mga8
+ Revision: 1503486
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.150.0-11.mga7
+ Revision: 1281858
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.150.0-10.mga7
+ Revision: 1163266
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.150.0-9.mga7
+ Revision: 1158939
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.150.0-8.mga6
+ Revision: 1023818
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.150.0-7.mga6
+ Revision: 939092
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-6.mga5
+ Revision: 750445
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.150.0-5.mga5
+ Revision: 732927
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-4.mga5
+ Revision: 683650
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-3.mga4
+ Revision: 509415
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 363538
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 27 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 114550
- imported package perl-CGI-PSGI


* Mon Jun 27 2011 cpan2dist 0.15-1mga
- initial mageia release, generated with cpan2dist
